## python-docx 0.0.20140501

=== Makefile ===
PYTHON = $(shell test -x bin/python && echo bin/python || echo `which python`)
SETUP  = $(PYTHON) ./setup.py

.PHONY: clean help coverage register sdist upload

help:
	@echo "Please use \`make <target>' where <target> is one or more of"
	@echo "  clean     delete intermediate work product and start fresh"
	@echo "  coverage  run nosetests with coverage"
	@echo "  readme    update README.html from README.rst"
	@echo "  register  update metadata (README.rst) on PyPI"
	@echo "  sdist     generate a source distribution into dist/"
	@echo "  upload    upload distribution tarball to PyPI"

clean:
	find . -type f -name \*.pyc -exec rm {} \;
	rm -rf dist .coverage .DS_Store MANIFEST

coverage:
	nosetests --with-coverage --cover-package=docx --cover-erase

readme:
	rst2html README.rst >README.html
	open README.html

register:
	$(SETUP) register

sdist:
	$(SETUP) sdist

upload:
	$(SETUP) sdist upload

=== debian/changelog ===
python-docx (0.0.20140501-0ubuntu0~rzr0) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#python-docx

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 22:11:27 +0200

python-docx (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 22:11:26 +0200

python-docx (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 22:11:14 +0200

=== debian/control ===
Source: python-docx
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/python-docx.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-docx.git;a=summary

Package: python-docx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: python-docx-snapshot
Architecture: all
Section: sound
Depends: python-docx (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade python-docx
 http://rzr.online.fr/q/snapshot#python-docx Feedback welcome

## python-docx 0.8.11+dfsg1

=== Makefile ===
BEHAVE = behave
MAKE   = make
PYTHON = python
SETUP  = $(PYTHON) ./setup.py

.PHONY: accept clean coverage docs readme register sdist test upload

help:
	@echo "Please use \`make <target>' where <target> is one or more of"
	@echo "  accept    run acceptance tests using behave"
	@echo "  clean     delete intermediate work product and start fresh"
	@echo "  cleandocs delete intermediate documentation files"
	@echo "  coverage  run nosetests with coverage"
	@echo "  docs      generate documentation"
	@echo "  opendocs  open browser to local version of documentation"
	@echo "  register  update metadata (README.rst) on PyPI"
	@echo "  sdist     generate a source distribution into dist/"
	@echo "  upload    upload distribution tarball to PyPI"

accept:
	$(BEHAVE) --stop

clean:
	find . -type f -name \*.pyc -exec rm {} \;
	rm -rf dist *.egg-info .coverage .DS_Store

cleandocs:
	$(MAKE) -C docs clean

coverage:
	py.test --cov-report term-missing --cov=docx tests/

docs:
	$(MAKE) -C docs html

opendocs:
	open docs/.build/html/index.html

register:
	$(SETUP) register

sdist:
	$(SETUP) sdist

upload:
	$(SETUP) sdist upload

=== debian/changelog ===
python-docx (0.8.11+dfsg1-5) unstable; urgency=high

  * Team upload.
  * autopkgtest depends on pyparsing. (Closes: #1033850)

 -- Bastian Germann <bage@debian.org>  Sun, 02 Apr 2023 22:22:08 +0200

python-docx (0.8.11+dfsg1-4) unstable; urgency=medium

  * Tests depend on python3-pyparsing (Closes: #1027582)
  * Update standards version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Jan 2023 03:54:29 -0500

python-docx (0.8.11+dfsg1-3) unstable; urgency=medium

  [ lintian-brush ]
  * Move transitional package python3-python-docx to oldlibs/optional per
    policy 4.0.1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrius Merkys ]
  * Adding autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Sat, 18 Dec 2021 02:20:25 -0500

python-docx (0.8.11+dfsg1-2) unstable; urgency=medium

  * Adding Vcs-* tags.
  * Renaming source and binary packages.

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Nov 2021 05:35:07 -0500

python-python-docx (0.8.11+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #997813)

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Oct 2021 02:10:57 -0400

=== debian/control ===
Source: python-docx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-behave <!nocheck>,
 python3-lxml <!nocheck>,
 python3-pyparsing <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/python-openxml/python-docx
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docx
Vcs-Git: https://salsa.debian.org/python-team/packages/python-docx.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-docx
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python3-python-docx (<< 0.8.11+dfsg1-2~),
Breaks:
 python3-python-docx (<< 0.8.11+dfsg1-2~),
Description: library for creating and updating Microsoft Word files (Python 3)
 python-docx is a Python library for creating and updating Microsoft Word
 (.docx) files.
 .
 This package installs the library for Python 3.

Package: python3-python-docx
Depends:
 python3-docx,
 ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package for python3-docx.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docx

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test
	$(MAKE) accept

override_dh_auto_clean:
	dh_auto_clean
	rm -rf features/_scratch python_docx.egg-info

=== debian/tests/control ===
Test-Command: rm -rf .pc && pytest-3 && make accept
Depends:
 make,
 python3-behave,
 python3-pyparsing,
 python3-pytest,
 @,
Restrictions:
 rw-build-tree,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-docx-$1.tar.gz%,repack,repacksuffix=+dfsg1,dversionmangle=auto" \
 https://github.com/python-openxml/python-docx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-docx 1.1.0+dfsg

=== Makefile ===
BEHAVE = behave
MAKE   = make
PYTHON = python
BUILD  = $(PYTHON) -m build
TWINE  = $(PYTHON) -m twine

.PHONY: accept build clean cleandocs coverage docs install opendocs sdist test
.PHONY: test-upload wheel

help:
	@echo "Please use \`make <target>' where <target> is one or more of"
	@echo "  accept       run acceptance tests using behave"
	@echo "  build        generate both sdist and wheel suitable for upload to PyPI"
	@echo "  clean        delete intermediate work product and start fresh"
	@echo "  cleandocs    delete intermediate documentation files"
	@echo "  coverage     run pytest with coverage"
	@echo "  docs         generate documentation"
	@echo "  opendocs     open browser to local version of documentation"
	@echo "  register     update metadata (README.rst) on PyPI"
	@echo "  sdist        generate a source distribution into dist/"
	@echo "  test         run unit tests using pytest"
	@echo "  test-upload  upload distribution to TestPyPI"
	@echo "  upload       upload distribution tarball to PyPI"
	@echo "  wheel        generate a binary distribution into dist/"

accept:
	$(BEHAVE) --stop

build:
	$(BUILD)

clean:
	find . -type f -name \*.pyc -exec rm {} \;
	rm -rf dist *.egg-info .coverage .DS_Store

cleandocs:
	$(MAKE) -C docs clean

coverage:
	py.test --cov-report term-missing --cov=docx tests/

docs:
	$(MAKE) -C docs html

install:
	pip install -Ue .

opendocs:
	open docs/.build/html/index.html

sdist:
	$(BUILD) --sdist .

test:
	pytest -x

test-upload: sdist wheel
	$(TWINE) upload --repository testpypi dist/*

upload: clean sdist wheel
	$(TWINE) upload dist/*

wheel:
	$(BUILD) --wheel .

=== debian/changelog ===
python-docx (1.1.0+dfsg-2) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Patch for dh_auto_test datetime DeprecationWarning with
    Python 3.12. (Closes: #1058441)

  [ Andrius Merkys ]
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Jan 2024 07:08:17 -0500

python-docx (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Nov 2023 01:24:08 -0500

python-docx (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.1+dfsg
  * Simplify debian/rules.
  * Switch autopkgtest to autopkgtest-pkg-pybuild.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Oct 2023 10:35:31 -0400

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-behave <!nocheck>,
  python3-lxml <!nocheck>,
  python3-pyparsing <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ python3-typing-extensions <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/python-openxml/python-docx
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docx
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-docx.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-docx

## python-docx 1.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,8 @@
 	$(BUILD)
 
 clean:
-	find . -type f -name \*.pyc -exec rm {} \;
+	# find . -type f -name \*.pyc -exec rm {} \;
+	fd -e pyc -I -x rm
 	rm -rf dist *.egg-info .coverage .DS_Store
 
 cleandocs:

=== debian/changelog ===
python-docx (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.2+dfsg
  * Drop no longer needed fix-DescribeCorePropertiesPart-py312.patch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 May 2024 02:26:26 -0400

## python-docx 1.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 BEHAVE = behave
 MAKE   = make
 PYTHON = python
-BUILD  = $(PYTHON) -m build
 TWINE  = $(PYTHON) -m twine
 
 .PHONY: accept build clean cleandocs coverage docs install opendocs sdist test
@@ -24,10 +23,10 @@
 	@echo "  wheel        generate a binary distribution into dist/"
 
 accept:
-	$(BEHAVE) --stop
+	uv run $(BEHAVE) --stop
 
 build:
-	$(BUILD)
+	uv build
 
 clean:
 	# find . -type f -name \*.pyc -exec rm {} \;
@@ -38,7 +37,7 @@
 	$(MAKE) -C docs clean
 
 coverage:
-	py.test --cov-report term-missing --cov=docx tests/
+	uv run pytest --cov-report term-missing --cov=docx tests/
 
 docs:
 	$(MAKE) -C docs html
@@ -50,16 +49,16 @@
 	open docs/.build/html/index.html
 
 sdist:
-	$(BUILD) --sdist .
+	uv build --sdist
 
 test:
-	pytest -x
+	uv run pytest -x
 
 test-upload: sdist wheel
-	$(TWINE) upload --repository testpypi dist/*
+	uv run $(TWINE) upload --repository testpypi dist/*
 
 upload: clean sdist wheel
-	$(TWINE) upload dist/*
+	uv run $(TWINE) upload dist/*
 
 wheel:
-	$(BUILD) --wheel .
+	uv build --wheel

=== requirements.txt ===
lxml>=3.1.0
typing-extensions

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-opc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-opc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-opc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-opc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-docx (1.2.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Add a patch for compatibility with pyparsing 3.3.2
  * Add debian/salsa-ci.yml
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Mar 2026 20:54:41 +0100

python-docx (1.2.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Sep 2025 02:53:08 -0400

python-docx (1.2.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Jun 2025 02:43:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-docx
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-behave <!nocheck>,
@@ -15,12 +14,11 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-typing-extensions <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/python-openxml/python-docx
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docx
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-docx.git
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-docx
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = docx

%:
	dh $@ --buildsystem pybuild
